> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meeamitech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files

> Returns all users from the system that the user has access to



## OpenAPI

````yaml GET /docs/v1/uploads
openapi: 3.1.0
info:
  title: OpenAPI Developer Portal
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-dev.meeamitech.com
security:
  - bearerAuth: []
paths:
  /docs/v1/uploads:
    get:
      description: Returns all users from the system that the user has access to
      parameters:
        - name: limit
          in: query
          description: The number of items to return per page
          required: false
          schema:
            type: integer
            default: 5
        - name: page
          in: query
          description: The page number to retrieve
          required: false
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Files Details
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UploadResponse'
              example:
                message: Files Listed Successfully
                data:
                  - _id: 67b826d08e3763327b9ab36d
                    teamId: 67a2ea1d828c9098134e7b92
                    originalName: 0.5_0.05_3.0_female_male_no_overlap_bnc_0_1.wav
                    fileType: audio file
                    status: completed
                    createdAt: '2025-02-21T07:10:08.707Z'
                    updatedAt: '2025-02-21T07:10:19.297Z'
                    __v: 0
                    filename: >-
                      e2edcfee-263a-4c89-b3f5-28be5b293df9-0.5_0.05_3.0_female_male_no_overlap_bnc_0_1.wav
                    path: >-
                      https://sample/uploads/e2edcfee-263a-4c89-b3f5-28be5b293df9-0.5_0.05_3.0.wav
                  - _id: 67b826d08e3133327b9ab36d
                    teamId: 67a2ea1d828c9098134e7b92
                    originalName: 0.5_0.05_3.0_female_male_no_overlap_bnc_0_1.wav
                    fileType: audio file
                    status: completed
                    createdAt: '2025-02-21T07:10:08.707Z'
                    updatedAt: '2025-02-21T07:10:19.297Z'
                    __v: 0
                    filename: >-
                      e2edcfee-263a-4c89-b3f5-28be5b293df9-0.5_0.05_3.0_female_male_no_overlap_bnc_0_1.wav
                    path: >-
                      https://sample/uploads/e2edcfee-263a-4c89-b3f5-28be5b293df9-0.5_0.05_3.0.wav
components:
  schemas:
    UploadResponse:
      required:
        - id
        - status
      type: object
      properties:
        id:
          type: string
          format: uuid
        teamId:
          type: string
          format: uuid
        originalName:
          type: string
        fileType:
          type: string
        status:
          type: string
          enum:
            - uploaded
            - processing
            - completed
        fileName:
          type: string
        path:
          type: string
        createdAt:
          description: Date and time when the File was uploaded
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````